Subject: Move to calendar month/quarter/year billing?

Description: If the 30-day billing cycle is causing problems for people then I'm happy to work on moving to a calendar 

month/quarter/year system, but it's time I won't get to work on other things. Speak up if you feel it's (more) 

important to you.

History

2010-06-22 07:20 - dmamain

It would be useful, but not that important

2010-10-14 12:06 - jupiter

As my invoices seem to be heading more and more into the month with the 30 day billing cycle I think changing to a calendar system would be better.





For us a standing order is set up for the 1st of each month as it's easier than sending manual payments through every month. Obviously this is okay if 

BitFolk are happy enough to wait past the due date of the invoice but it does look a bit messy in terms of accounting etc.

2011-08-03 15:26 - s02

I've just started a Bitfolk account and found setting up payment required more than the normal quick B2B setup.  After that I see that having set up a 

standing order with my bank it's not really going to work because my payment on the 1st of every month is going to cause my account to progressively 

become overdue by an average of 5.25 days per year.  After 5.714 years, I'm going to be a full 30 days behind in my payment.





There are a few of reasons why the 30 day billing cycle isn't a good idea.


* Very odd budgeting if you are a company and in this particular year you have to budget for 13 payments instead of 12


* Because there is no direct debit feature, you have to use a standing order - and paying every 30 days isn't an available option.  So you have to do it 

manually, or you have to make a manual extra payment once every 5 odd years.  If you remember.


* I could increase my payment by 1.4373717% and pay a very odd figure on the 1st of every month.  This might make me unpopular with Bitfolk 

account department who may not like being overpaid by some incomprehensible figure??


* Because just about everyone else pays monthly


2011-08-03 15:46 - admin

Whilst I take your points, having to change a standing order once every 5 years doesn't seem like that big of a burden. Also if you want to overpay that 

is fine, it will just sit on your account as credit.





Do make sure to vote this feature request up if you want to see calendar monthly/quarterly/yearly billing implemented.

2011-08-04 03:54 - admin

It seems that while this issue is not of concern for the vast majority of customers, for a few it is a big problem. It's fairly easy to move to calendar 

monthly / quarterly / yearly billing so I will work on doing this.

2011-08-08 14:50 - admin

- Status changed from New to Feedback

This is now implemented and has undergone some testing -- hopefully enough. I'm putting it live now.

2011-08-10 01:00 - admin

- Status changed from Feedback to Closed

Appears to work. Closing.
